org.vertx.java.core.impl

## Class LowerCaseKeyMap<T>

- java.lang.Object
- - org.vertx.java.core.impl.LowerCaseKeyMap<T>

All Implemented Interfaces:
  java.util.Map<java.lang.String,T>

    public class LowerCaseKeyMap<T>
    extends java.lang.Object
    implements java.util.Map<java.lang.String,T>

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`LowerCaseKeyMap()`

### Method Summary

Methods
`void` `clear()`
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`java.util.Set<java.util.Map.Entry<java.lang.String,T>>` `entrySet()`
`boolean` `equals(java.lang.Object o)`
`T` `get(java.lang.Object key)`
`T` `getRaw(java.lang.Object key)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Set<java.lang.String>` `keySet()`
`T` `put(java.lang.String key, T value)`
`void` `putAll(java.util.Map<? extends java.lang.String,? extends T> m)`
`java.lang.Object` `putRaw(java.lang.String key, T value)`
`T` `remove(java.lang.Object key)`
`int` `size()`
`java.util.Collection<T>` `values()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LowerCaseKeyMap

    public LowerCaseKeyMap()

### Method Detail

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Map<java.lang.String,T>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `java.util.Map<java.lang.String,T>`

#### containsKey

    public boolean containsKey(java.lang.Object key)

Specified by:
  `containsKey` in interface `java.util.Map<java.lang.String,T>`

#### containsValue

    public boolean containsValue(java.lang.Object value)

Specified by:
  `containsValue` in interface `java.util.Map<java.lang.String,T>`

#### get

    public T get(java.lang.Object key)

Specified by:
  `get` in interface `java.util.Map<java.lang.String,T>`

#### put

    public T put(java.lang.String key,
        T value)

Specified by:
  `put` in interface `java.util.Map<java.lang.String,T>`

#### remove

    public T remove(java.lang.Object key)

Specified by:
  `remove` in interface `java.util.Map<java.lang.String,T>`

#### putAll

    public void putAll(java.util.Map<? extends java.lang.String,? extends T> m)

Specified by:
  `putAll` in interface `java.util.Map<java.lang.String,T>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `java.util.Map<java.lang.String,T>`

#### keySet

    public java.util.Set<java.lang.String> keySet()

Specified by:
  `keySet` in interface `java.util.Map<java.lang.String,T>`

#### values

    public java.util.Collection<T> values()

Specified by:
  `values` in interface `java.util.Map<java.lang.String,T>`

#### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,T>> entrySet()

Specified by:
  `entrySet` in interface `java.util.Map<java.lang.String,T>`

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `java.util.Map<java.lang.String,T>`
Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.util.Map<java.lang.String,T>`
Overrides:
  `hashCode` in class `java.lang.Object`

#### putRaw

    public java.lang.Object putRaw(java.lang.String key,
                          T value)

#### getRaw

    public T getRaw(java.lang.Object key)